# Super Mario Bros. Optimized

Super Mario Bros. technically optimized as much as possible.

![Super Mario Bros. Optimized in action](/demo.png)

## Usage

### Requirements

cc65 must be installed on your system; the oldest supported version is `2.18`. No other dependencies are required.

Additionally a file containing the graphics for the original Super Mario Bros. game must be present on your system. This file is not provided.

### Installing

Clone this repository locally:

```shell
$ git clone https://forge.thatspaceandtime.org/ooxie/super-mario-bros-optimized.git super_mario_bros_optimized
$ cd super_mario_bros_optimized
```

Copy the graphics file:

```shell
$ cp <path_to_the_graphics_file> src/chars.bin
```

Create the target directory:

```shell
$ mkdir target
```

### Building

To build the binary, execute:

```shell
$ cl65 -t nes -o target/super_mario_bros_optimized.nes -C src/linker.cfg src/main.asm
```

### Running

To run the game, open the file `target/super_mario_bros_optimized.nes` in your favorite NES emulator. Alternatively you can run it on original hardware.

### Playing

Refer to the original manual for Super Mario Bros.

## License

The source code of this project is not licensed, as the original work it is based on is not (see [LICENSE](/ooxie/super-mario-bros-optimized/src/branch/master/LICENSE)).
